Skip to main content
GET
/
folders
List folders
curl --request GET \
  --url https://app.mavera.io/api/v1/folders \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "folder",
      "name": "<string>",
      "workspace_id": "<string>",
      "file_count": 123,
      "is_shared": true,
      "is_favorite": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mavera.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Query Parameters

workspace_id
string
required

Workspace ID to list folders from

is_favorite
boolean

Filter to only show favorited folders

Search folders by name (case-insensitive)

limit
integer
default:50

Maximum number of results (default 50, max 100)

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination (folder ID from previous response)

Response

List of folders

object
enum<string>
Available options:
list
data
object[]
has_more
boolean

Whether there are more results available

next_cursor
string | null

Cursor to use for the next page of results